Access
Update hub access settings
Partial update. When setting accessType=public, the hub must have a defaultPlanPublicId (in this request or already on the hub) — and that plan must be free (priceCents=0). Otherwise the request fails with 400. The banner image is uploaded separately via POST /hub/logos/banner.
PATCH
/
public
/
api
/
v1
/
hub
/
access
Update hub access settings
curl --request PATCH \
--url https://api.gennia.ai/public/api/v1/hub/access \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"defaultPlanPublicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selfServiceEnabled": true
}
'import requests
url = "https://api.gennia.ai/public/api/v1/hub/access"
payload = {
"defaultPlanPublicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"selfServiceEnabled": True
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
defaultPlanPublicId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
selfServiceEnabled: true
})
};
fetch('https://api.gennia.ai/public/api/v1/hub/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}{
"defaultPlan": {
"name": "<string>",
"publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"loginBannerUrl": "<string>",
"selfServiceEnabled": true
}Autorizações
Corpo
application/json
Esta página foi útil?
⌘I
Update hub access settings

